cURL
curl "https://rxresu.me/api/openapi/career/saved" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/career/saved"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/career/saved', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/saved",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/saved"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/career/saved")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/saved")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"title": "<string>",
"data": {
"kind": "fit",
"headline": "<string>",
"summary": "<string>",
"requirements": [
{
"text": "<string>",
"origin": "posting",
"status": "supported",
"evidence": "<string>",
"factIds": []
}
],
"checks": [
{
"label": "<string>",
"met": true,
"text": "<string>"
}
],
"ask": {
"person": "<string>",
"text": "<string>"
}
},
"evidence": {
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
]
},
"jobId": "<string>",
"inputVersion": "<string>",
"application": {
"company": "<string>",
"role": "<string>",
"status": "<string>",
"closedReason": "<string>"
},
"outdated": true,
"aiOperationId": "<string>",
"aiUsage": {
"requests": 4503599627370495,
"models": [
{
"providerId": "<string>",
"label": "<string>",
"provider": "<string>",
"model": "<string>"
}
]
},
"submission": true
}
]{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
List saved career work
Lists all saved work by default, or one application. Use scope=shared without an applicationId for standalone practice attempts.
GET
/
career
/
saved
cURL
curl "https://rxresu.me/api/openapi/career/saved" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/career/saved"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/career/saved', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/saved",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/saved"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/career/saved")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/saved")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"title": "<string>",
"data": {
"kind": "fit",
"headline": "<string>",
"summary": "<string>",
"requirements": [
{
"text": "<string>",
"origin": "posting",
"status": "supported",
"evidence": "<string>",
"factIds": []
}
],
"checks": [
{
"label": "<string>",
"met": true,
"text": "<string>"
}
],
"ask": {
"person": "<string>",
"text": "<string>"
}
},
"evidence": {
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
]
},
"jobId": "<string>",
"inputVersion": "<string>",
"application": {
"company": "<string>",
"role": "<string>",
"status": "<string>",
"closedReason": "<string>"
},
"outdated": true,
"aiOperationId": "<string>",
"aiUsage": {
"requests": 4503599627370495,
"models": [
{
"providerId": "<string>",
"label": "<string>",
"provider": "<string>",
"model": "<string>"
}
]
},
"submission": true
}
]{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Query Parameters
Response
OK